# Created by pyp2rpm-1.0.1
%global pypi_name rpy2

Name:           python-rpy2
Version:        3.5.17
Release:        %mkrel 1
Summary:        Python interface to the R language (embedded R)
Group:          Development/Python
License:        GPLv2+
URL:            https://github.com/rpy2/rpy2
Source0:        https://pypi.io/packages/source/r/rpy2/rpy2-%{version}.tar.gz
Source1:        rpy2.conf

BuildRequires:  R-base
BuildRequires:  openblas-devel
BuildRequires:  pkgconfig(readline)
BuildRequires:  pkgconfig(libtirpc)
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(icu-uc)
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  pkgconfig(tre)

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(cffi)

%description
This is the source tree or distribution for the rpy2 package.

%package -n     python3-%{pypi_name}
Summary:        Python interface to the R language (embedded R)
Group:          Development/Python
Requires:       R-base
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is the source tree or distribution for the rpy2 package.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d
cp %{SOURCE1} %{buildroot}%{_sysconfdir}/ld.so.conf.d/python3-rpy2.conf

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{python3_sitearch}/_rinterface*
%{python3_sitearch}/__pycache__/_rinterface*
%{_sysconfdir}/ld.so.conf.d/python3-rpy2.conf


%changelog
* Mon Feb 17 2025 daviddavid <daviddavid> 3.5.17-1.mga10
+ Revision: 2149219
- new version: 3.5.17

* Fri Dec 29 2023 tv <tv> 3.4.5-4.mga10
+ Revision: 2023469
- Rebuild for python-3.12

* Sun Apr 16 2023 daviddavid <daviddavid> 3.4.5-3.mga9
+ Revision: 1953281
- remove no more needed old pcre-devel build dependency

* Sat Apr 02 2022 umeabot <umeabot> 3.4.5-2.mga9
+ Revision: 1840634
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 3.4.5-1.mga9
+ Revision: 1782712
- version 3.4.5
- add missing URL
- rebuild for python-3.10

* Sun Apr 04 2021 joequant <joequant> 3.4.3-1.mga9
+ Revision: 1713238
- update to 3.4.3 / python 3.9

* Tue Dec 15 2020 tv <tv> 3.3.6-2.mga8
+ Revision: 1657512
- BR pkgconfig(libtirpc)

* Sun Dec 06 2020 luigiwalser <luigiwalser> 3.3.6-1.mga8
+ Revision: 1653827
- try to work around py3_install bug
- fix build flags
- 3.3.6

* Sat Jun 27 2020 joequant <joequant> 3.3.4-1.mga8
+ Revision: 1599588
- fix deps
- update to 3.3.4

* Wed Feb 19 2020 umeabot <umeabot> 2.9.5-4.mga8
+ Revision: 1542553
- Mageia 8 Mass Rebuild

* Sun Jan 05 2020 tv <tv> 2.9.5-3.mga8
+ Revision: 1476630
- rebuild for new readline

* Sat Oct 05 2019 daviddavid <daviddavid> 2.9.5-2.mga8
+ Revision: 1449521
- add patch to fix linking issue
- rebuild for new icu 65.1

* Thu Jan 10 2019 shlomif <shlomif> 2.9.5-1.mga7
+ Revision: 1354266
- New version

* Sun Sep 23 2018 umeabot <umeabot> 2.8.6-4.mga7
+ Revision: 1300586
- Mageia 7 Mass Rebuild

* Sun Aug 06 2017 joequant <joequant> 2.8.6-3.mga7
+ Revision: 1137973
- fix flags for i586 compile
- fix i586 build
- update to 2.8.6
+ pterjan <pterjan>
- Rebuild for python 3.6

* Wed Mar 15 2017 mrambo3501 <mrambo3501> 2.7.4-4.mga6
+ Revision: 1092794
- Rebuild for icu-58.2

* Sat May 14 2016 shlomif <shlomif> 2.7.4-3.mga6
+ Revision: 1015246
- Rebuild for the new UCI (new major)
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Nov 18 2015 joequant <joequant> 2.7.4-1.mga6
+ Revision: 903939
- upgrade to 2.7.4

* Thu Oct 08 2015 joequant <joequant> 2.7.0-2.mga6
+ Revision: 887398
- upgrade to python 3.5

* Tue Sep 29 2015 joequant <joequant> 2.7.0-1.mga6
+ Revision: 884949
- upgrade to 2.7.0

* Wed Dec 31 2014 joequant <joequant> 2.5.4-1.mga5
+ Revision: 807638
- more dependencies
- add readline
- add setuptools
- imported package python-rpy2

